package com.carrotsearch.hppc;

/**
 * Marker interface for containers that can check if they contain a given object in
 * at least time <code>O(log n)</code> and ideally in amortized 
 * constant time <code>O(1)</code>.
 */
 @javax.annotation.Generated(date = "2011-07-12T16:58:49+0200", value = "HPPC generated from: ObjectLookupContainer.java") 
public interface ObjectLookupContainer<KType> extends ObjectContainer<KType>
{
    public boolean contains(KType e);
}
